Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLSelectElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLSelectElementImpl

public class HTMLSelectElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLSelectElement, HTMLFormControl

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.5 $ $Date: 2001/01/30 23:58:03 $
Author:
  Assaf Arkin
See Also:
  `HTMLSelectElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`HTMLSelectElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `add(org.w3c.dom.html.HTMLElement element, org.w3c.dom.html.HTMLElement before)`
`void` | `blur()`
`void` | `focus()`
`org.w3c.dom.NodeList` | `getChildNodes()`
`boolean` | `getDisabled()`
`int` | `getLength()`
`boolean` | `getMultiple()`
`java.lang.String` | `getName()`
`org.w3c.dom.html.HTMLCollection` | `getOptions()`
`int` | `getSelectedIndex()`
`int` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `remove(int index)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMultiple(boolean multiple)`
`void` | `setName(java.lang.String name)`
`void` | `setSelectedIndex(int selectedIndex)`
`void` | `setSize(int size)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLSelectElementImpl

    public HTMLSelectElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLSelectElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface org.w3c.dom.html.HTMLSelectElement

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface org.w3c.dom.html.HTMLSelectElement

### getSelectedIndex

    public int getSelectedIndex()

  Specified by:
    getSelectedIndex in interface org.w3c.dom.html.HTMLSelectElement

### setSelectedIndex

    public void setSelectedIndex(int selectedIndex)

  Specified by:
    setSelectedIndex in interface org.w3c.dom.html.HTMLSelectElement

### getOptions

    public org.w3c.dom.html.HTMLCollection getOptions()

  Specified by:
    getOptions in interface org.w3c.dom.html.HTMLSelectElement

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.w3c.dom.html.HTMLSelectElement

  Overrides:
    getLength in class ParentNode

### getDisabled

    public boolean getDisabled()

  Specified by:
    getDisabled in interface org.w3c.dom.html.HTMLSelectElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface org.w3c.dom.html.HTMLSelectElement

### getMultiple

    public boolean getMultiple()

  Specified by:
    getMultiple in interface org.w3c.dom.html.HTMLSelectElement

### setMultiple

    public void setMultiple(boolean multiple)

  Specified by:
    setMultiple in interface org.w3c.dom.html.HTMLSelectElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLSelectElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLSelectElement

### getSize

    public int getSize()

  Specified by:
    getSize in interface org.w3c.dom.html.HTMLSelectElement

### setSize

    public void setSize(int size)

  Specified by:
    setSize in interface org.w3c.dom.html.HTMLSelectElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface org.w3c.dom.html.HTMLSelectElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface org.w3c.dom.html.HTMLSelectElement

### add

    public void add(org.w3c.dom.html.HTMLElement element,
                    org.w3c.dom.html.HTMLElement before)

  Specified by:
    add in interface org.w3c.dom.html.HTMLSelectElement

### remove

    public void remove(int index)

  Specified by:
    remove in interface org.w3c.dom.html.HTMLSelectElement

### blur

    public void blur()

  Specified by:
    blur in interface org.w3c.dom.html.HTMLSelectElement

### focus

    public void focus()

  Specified by:
    focus in interface org.w3c.dom.html.HTMLSelectElement

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Overrides:
    getChildNodes in class ParentNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference